package cokr.xit.fims.payer;

import cokr.xit.foundation.component.QueryRequest;

/**납부자 대장 정보 조회 요청
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-08-18	mjkhan 최초 작성
 * ================================
 * </pre>
 */
public class PayerQuery extends QueryRequest {
	private static final long serialVersionUID = 1L;

	/**
	 * 납부자 ID
	 */
	private String[] rtpyrIds;
	/** 차량번호 */
	private String vhrno;
	/** 납부자번호 */
	private String rtpyrNo;

	/**납부자 ID를 반환한다.
	 * @return 납부자 ID
	 */
	public String[] getRtpyrIds() {
		return ifEmpty(rtpyrIds, () -> null);
	}

	/**납부자 ID를 설정한다.
	 * @param rtpyrIds 납부자 ID
	 * @return 현재 PayerQuery
	 */
	public PayerQuery setRtpyrIds(String... rtpyrIds) {
		this.rtpyrIds = rtpyrIds;
		return this;
	}

	/**납부자 ID를 반환한다.
	 * @return 납부자 ID
	 */
	public String getRtpyrId() {
		return !isEmpty(rtpyrIds) ?  rtpyrIds[0] : null;
	}

	/**납부자 ID를 설정한다.
	 * @param rtpyrIds 납부자 ID
	 * @return 현재 PayerQuery
	 */
	public PayerQuery setRtpyrId(String rtpyrId) {
		return setRtpyrIds(rtpyrId);
	}

	/**차량번호를 반환한다.
	 * @return 차량번호
	 */
	public String getVhrno() {
		return vhrno;
	}

	/**차량번호를 설정한다.
	 * @param vhrno 차량번호
	 * @return 현재 PayerQuery
	 */
	public PayerQuery setVhrno(String vhrno) {
		this.vhrno = vhrno;
		return this;
	}

	/**납부자 번호를 반환한다.
	 * @return 납부자 번호
	 */
	public String getRtpyrNo() {
		return rtpyrNo;
	}

	/**납부자 번호를 설정한다.
	 * @param rtpyrNo 납부자 번호
	 * @return 현재 PayerQuery
	 */
	public PayerQuery setRtpyrNo(String rtpyrNo) {
		this.rtpyrNo = rtpyrNo;
		return this;
	}
}